Package org.apache.tapestry5.internal.plastic

## Class EmptyAnnotationAccess

- java.lang.Object
- - org.apache.tapestry5.internal.plastic.EmptyAnnotationAccess

- All Implemented Interfaces:
    `AnnotationAccess`

      public class EmptyAnnotationAccess
      extends java.lang.Object
      implements AnnotationAccess

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static AnnotationAccess` | `SINGLETON` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T extends java.lang.annotation.Annotation> T` | `getAnnotation​(java.lang.Class<T> annotationType)` | Returns an instantiated annotation, or null if the target does not have the indicated annotation.
    `<T extends java.lang.annotation.Annotation> boolean` | `hasAnnotation​(java.lang.Class<T> annotationType)` | Checks to see if the target has an annotation of the given type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SINGLETON

          public static final AnnotationAccess SINGLETON

  - ### Method Detail

    - #### hasAnnotation

          public <T extends java.lang.annotation.Annotation> boolean hasAnnotation​(java.lang.Class<T> annotationType)

      Description copied from interface: `AnnotationAccess`
      Checks to see if the target has an annotation of the given type.
      Specified by:
        `hasAnnotation` in interface `AnnotationAccess`

    - #### getAnnotation

          public <T extends java.lang.annotation.Annotation> T getAnnotation​(java.lang.Class<T> annotationType)

      Description copied from interface: `AnnotationAccess`
      Returns an instantiated annotation, or null if the target does not have the indicated annotation.
      Specified by:
        `getAnnotation` in interface `AnnotationAccess`